------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]剧情测试脚本
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------

local LuaSceneScript = {
    -- 测试用脚本，请根据实际数据修改
    [1] = { file="Script/DemoScript.lua", },
	[2] = { file="Script/WolfWarriors.lua", },
	[3] = { file="Script/PantherWarriors.lua", },	
	[4] = { file="Script/LionWarriors.lua", },
	[5] = { file="Script/TigerWarriors.lua", },
	[6] = { file="Script/KingWarriors.lua", },
	[7] = { file="Script/BaibingSpectrum.lua", },
	[8] = { file="Script/KillwolfKing.lua", },
	[9] = { file="Script/KillBlackLeopardKing.lua", },
	[10] = { file="Script/KillLionKing.lua", },
	[11] = { file="Script/KillTiger.lua", },
	[12] = { file="Script/KillWizard.lua", },
	[13] = { file="Script/SpringFestivalMainLine2020First.lua", },
	[14] = { file="Script/ValDayEnterPrison.lua", },
	[15] = { file="Script/ValDayKillMonster.lua", },
	[16] = { file="Script/ValentinePart2One.lua", },
	[17] = { file="Script/ValentinePart2Tow.lua", },
	[18] = { file="Script/ValentinePart2Three.lua", },
	[19] = { file="Script/ValentinePart2TowFour.lua", },
	[20] = { file="Script/ValentinePart2TowFive.lua", },
	[21] = { file="Script/ValentinePart2TowSix.lua", },
	[22] = { file="Script/ValentinePart2TowSeven.lua", },
	[23] = { file="Script/NinjaAwakeForward/Chapter1Start.lua"},
    [24] = { file="Script/NinjaAwakeForward/Chapter1End.lua"},
    [25] = { file="Script/NinjaAwakeForward/Chapter2Start.lua"},
    [26] = { file="Script/NinjaAwakeForward/Chapter2End.lua"},
    [27] = { file="Script/NinjaAwakeForward/Chapter3.lua"},
	[28] = { file="Script/NinjaQuest/NinjaQuestPlot1.lua", },
	[29] = { file="Script/NinjaQuest/NinjaQuestPlot2.lua", },
	[30] = { file="Script/NinjaQuest/NinjaQuestPlot3.lua", },
	[31] = { file="Script/NinjaQuest/NinjaQuestPlot4.lua", },
	[32] = { file="Script/NinjaQuest/NinjaQuestPlot5.lua", },
	[33] = { file="Script/NinjaQuest/NinjaQuestPlot6.lua", },
	[34] = { file="Script/NinjaQuest/NinjaQuestPlot7.lua", },
	[35] = { file="Script/NinjaQuest/NinjaQuestPlot8.lua", },
	[36] = { file="Script/NinjaQuest/NinjaQuestPlot9.lua", },
	[37] = { file="Script/NinjaQuest/NinjaQuestPlot10.lua", },
	[38] = { file="Script/NinjaQuest/NinjaQuestPlot11.lua", },
	[39] = { file="Script/NinjaQuest/NinjaQuestPlot12.lua", },
	[40] = { file="Script/NinjaQuest/NinjaQuestPlot13.lua", },
	[41] = { file="Script/NinjaQuest/NinjaQuestPlot14.lua", },
	[42] = { file="Script/NinjaQuest/NinjaQuestPlot15.lua", },
	[43] = { file="Script/NinjaQuest/NinjaQuestPlot16.lua", },
	[44] = { file="Script/NinjaQuest/NinjaQuestPlot17.lua", },
	[45] = { file="Script/NinjaQuest/NinjaQuestPlot18.lua", },
	[46] = { file="Script/NinjaQuest/NinjaQuestPlot19.lua", },
	[47] = { file="Script/NinjaQuest/NinjaQuestPlot20.lua", },
	[48] = { file="Script/StrengthCopy.lua", },
	[49] = { file="Script/Aniversary2020Guide.lua", },
	[50] = { file="Script/Aniversary2020GuideTwo.lua", },
	[51] = { file="Script/Aniversary2020GuideThree.lua", },
	[52] = { file="Script/Aniversary2020GuideTwoPassion.lua", },
	[53] = { file="Script/Aniversary2020GuideThreePassion.lua", },
	[54] = { file="Script/ChildrenDay/2020/ChildrenDayMainNpc.lua", },
	[55] = { file="Script/ChildrenDay/2020/ChildrenDayMainMap.lua", },
    [56] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick1.lua", },
	[57] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick2.lua", },
	[58] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick3.lua", },
	[59] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick4.lua", },
	[60] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick5.lua", },
	[61] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick6.lua", },
	[62] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick7.lua", },
	[63] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick8.lua", },
	[64] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick9.lua", },
	[65] = { file="Script/ChildrenDay/2020/ChildrenHideAndSick10.lua", },
	[66] = { file="Script/SummerActivity2020.lua", },
	[67] = { file="Script/QixiFestivalNPC.lua", },
	[68] = { file="Script/MidAutumnNpcScript.lua", },
	[69] = { file="Script/Halloween/2020/HalloweenNightmare4.lua", },
	[70] = { file="Script/Halloween/2020/HalloweenNightmare6.lua", },
	[71] = { file="Script/Halloween/2020/HalloweenMain.lua", },
	[72] = { file="Script/Halloween/2020/NightMarePartOne.lua", },
	[73] = { file="Script/Halloween/2020/Halloween2020Nightmare1.lua", },
	[74] = { file="Script/Halloween/2020/Halloween2020Nightmare2.lua", },
	[75] = { file="Script/Halloween/2020/Halloween2020Nightmare3.lua", },
	[76] = { file="Script/Halloween/2020/Halloween2020Nightmare4.lua", },
	[77] = { file="Script/Halloween/2020/Halloween2020Nightmare5.lua", },
	[78] = { file="Script/Halloween/2020/Halloween2020Nightmare6.lua", },
	[79] = { file="Script/Halloween/2020/Halloween2020Nightmare7.lua", },
	[80] = { file="Script/Halloween/2020/Halloween2020Nightmare8.lua", },
	[81] = { file="Script/Halloween/2020/Halloween2020Nightmare9.lua", },
	[82] = { file="Script/Halloween/2020/Halloween2020Nightmare10.lua", },
	[83] = { file="Script/Thanksgiving/ThanksgivingMainNpc.lua", },
	[85] = { file="Script/Thanksgiving/SecondaryNPCScript.lua", },
	[90] = { file="Script/Thanksgiving/SecondaryNPCScriptNoGift.lua", },
}

local s_threadScript = nil

-- 启用脚本
local function LoadScript(idScript)
	if (idScript == 0) then
		return
	end

    local tScript = LuaSceneScript[idScript]

    if (tScript == nil) then
        return
    end

	dofile(tScript.file)
	CppScriptMgr:Lua2CScriptEnd()
end

function LuaScriptMgr_BeginScript(idScript)
	if s_threadScript then
		s_threadScript = nil
	end

	s_threadScript = coroutine.create(LoadScript)
	coroutine.resume(s_threadScript, idScript)
end

function LuaScriptMgr_PlayScript()
	if not s_threadScript then
		return
	end

	coroutine.resume(s_threadScript)
end

function LuaScriptMgr_WaitScript()
	if not s_threadScript then
		return
	end

	coroutine.yield(s_threadScript)
end

function LuaScriptMgr_EndScript()
	s_threadScript = nil
end

local DLG_CAN_SHOW = {
[958] = true,
[966] = true,
}

-- 脚本剧情中是否可显示窗口
function LuaScriptMgr_IsDlgCanShow(id)
    local ret = DLG_CAN_SHOW[id]

    if (ret == nil) then
        return false
    end

    return ret
end

function LuaScriptMgr_Unload()
    DLG_CAN_SHOW = nil
end

function LuaScriptMgr_GetScript(id)
    local tScript = LuaSceneScript[id]

    if (tScript == nil) then
        return ""
    end

    return tScript.file
end
