local GameMapInfo = 
{
OriginX = 0,
OriginY = 0,
}

local function GetAOIIndexX(x)
    return math.floor((x + GameMapInfo.OriginX) / 1024)
end

local function GetAOIIndexY(y)
    return math.floor(y / 768)
end

local function SetOriginPos(x, y)
    GameMapInfo.OriginX = x
    GameMapInfo.OriginY = y
end

local function IsShadowMaskMap(mapDoc)
	return mapDoc == 1012
end

-- ͷڴ
local function Unload()
    -- 
    GameMapInfo = nil
end

local C3DGameMap = {
    -- 
    GetAOIIndexX = GetAOIIndexX,
    GetAOIIndexY = GetAOIIndexY,
	IsShadowMaskMap = IsShadowMaskMap,
    SetOriginPos = SetOriginPos,
    Unload = Unload,
}

-- C++ʹõglobal
-- 
C3DGameMap_GetAOIIndexX = C3DGameMap.GetAOIIndexX
C3DGameMap_GetAOIIndexY = C3DGameMap.GetAOIIndexY
C3DGameMap_IsShadowMaskMap = C3DGameMap.IsShadowMaskMap
C3DGameMap_SetOriginPos = C3DGameMap.SetOriginPos
C3DGameMap_Unload = C3DGameMap.Unload

-- requireֵ
return C3DGameMap
